UpdateInvoiceStatus
PATCH
/billing/v1/invoices/{invoice_id}/statusPath Parameters
invoice_id*invoice_id
The invoice_id path parameter.
Match
^[0-9A-Za-z]+$Request Body
requiredapplication/json{
"status": "INVOICE_STATUS_PAID"
}status?object
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/billing.v1.Invoice",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"Z9Y8X7W6V5"
],
"title": "id"
},
"org_id": {
"type": "string",
"examples": [
"OR98234j23"
],
"title": "org_id"
},
"subscription_id": {
"type": "string",
"examples": [
"AbCdE12345"
],
"title": "subscription_id"
},
"amount": {
"type": "string",
"examples": [
"29.99"
],
"title": "amount"
},
"currency": {
"type": "string",
"examples": [
"usd"
],
"title": "currency"
},
"status": {
"allOf": [
{
"$ref": "#/components/schemas/billing.v1.InvoiceStatus",
"$ref-value": {
"type": "string",
"title": "InvoiceStatus",
"enum": [
"INVOICE_STATUS_UNSPECIFIED",
"INVOICE_STATUS_DRAFT",
"INVOICE_STATUS_OPEN",
"INVOICE_STATUS_PAID",
"INVOICE_STATUS_VOID",
"INVOICE_STATUS_UNCOLLECTIBLE"
]
}
}
],
"examples": [
"INVOICE_STATUS_PAID"
],
"title": "status"
},
"due_date": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "due_date"
},
"paid_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "paid_at"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
},
"description": {
"type": "string",
"title": "description"
}
},
"title": "Invoice",
"additionalProperties": false
}
}curl -X PATCH "https://api.rixl.com/billing/v1/invoices/Z9Y8X7W6V5/status" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/billing.v1.Invoice",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"Z9Y8X7W6V5"
],
"title": "id"
},
"org_id": {
"type": "string",
"examples": [
"OR98234j23"
],
"title": "org_id"
},
"subscription_id": {
"type": "string",
"examples": [
"AbCdE12345"
],
"title": "subscription_id"
},
"amount": {
"type": "string",
"examples": [
"29.99"
],
"title": "amount"
},
"currency": {
"type": "string",
"examples": [
"usd"
],
"title": "currency"
},
"status": {
"allOf": [
{
"$ref": "#/components/schemas/billing.v1.InvoiceStatus",
"$ref-value": {
"type": "string",
"title": "InvoiceStatus",
"enum": [
"INVOICE_STATUS_UNSPECIFIED",
"INVOICE_STATUS_DRAFT",
"INVOICE_STATUS_OPEN",
"INVOICE_STATUS_PAID",
"INVOICE_STATUS_VOID",
"INVOICE_STATUS_UNCOLLECTIBLE"
]
}
}
],
"examples": [
"INVOICE_STATUS_PAID"
],
"title": "status"
},
"due_date": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "due_date"
},
"paid_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "paid_at"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
},
"description": {
"type": "string",
"title": "description"
}
},
"title": "Invoice",
"additionalProperties": false
}
}